[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Fedora 8 Update: sparse-0.4-2.fc8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2007-2764
2007-11-06 16:00:54.882213
--------------------------------------------------------------------------------

Name        : sparse
Product     : Fedora 8
Version     : 0.4
Release     : 2.fc8
URL         : http://www.kernel.org/pub/software/devel/sparse/
Summary     : A semantic parser of source files
Description :
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library.  Scanty and meager,
and partly because of that easy to use.  It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis.  It's not a tokenizer, nor is it some generic context-free
parser.  In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

Sparse is primarily used in the development and debugging of the Linux kernel.

--------------------------------------------------------------------------------
Update Information:

Version 0.4 of sparse has numerous fixes and improvements.
There are now man pages for the sparse and cgcc programs.
There is a new program c2xml (with no man page). 
--------------------------------------------------------------------------------
ChangeLog:

* Thu Nov  1 2007 Roland McGrath <roland redhat com> - 0.4-2
- Upgrade to 0.4
- Install man pages, c2xml.
- Run make check in rpmbuild.
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #345931 - sparse breakage triggered by rcu_read_lock() lockdep annotations
        https://bugzilla.redhat.com/show_bug.cgi?id=345931
  [ 2 ] Bug #362751 - sparse-0.4 is available
        https://bugzilla.redhat.com/show_bug.cgi?id=362751
--------------------------------------------------------------------------------
Updated packages:

e3a3a5f89a1cdbcefbb640fd6cc1ec23ac0a9200 sparse-devel-0.4-2.fc8.ppc64.rpm
5f2d205e55012ddfea71ccf32b3d5c34cf04f3cd sparse-debuginfo-0.4-2.fc8.ppc64.rpm
96fe7c780410ab0f3aebd43ac4e64482215497cd sparse-0.4-2.fc8.ppc64.rpm
9404cda127fd89e20c6e9b6edce99fcc5c2bf026 sparse-devel-0.4-2.fc8.i386.rpm
5eba341fb090de5227ad589c30e57eefc7311638 sparse-0.4-2.fc8.i386.rpm
696cea9cd24bd8973fcfc960917a6eb1c74dd21a sparse-debuginfo-0.4-2.fc8.i386.rpm
761617a0c142799b6b3d5adcf2ed48462c274120 sparse-devel-0.4-2.fc8.x86_64.rpm
d19aaf15828dc5579d4701283e6a3bd44dc8fe35 sparse-0.4-2.fc8.x86_64.rpm
66be248376bf69370c4b7da0c2aaf88d60f84e42 sparse-debuginfo-0.4-2.fc8.x86_64.rpm
71180e689e95dd1a0e4e69e7b49db7ce5e201f14 sparse-0.4-2.fc8.ppc.rpm
1f7df7b78d689101d289430841ff7f5726da9f44 sparse-devel-0.4-2.fc8.ppc.rpm
52b48720048673c3205b8d1368a4c83de87b8d4c sparse-debuginfo-0.4-2.fc8.ppc.rpm
f203908e70b902a0af92412f618adee1b5b3e6a5 sparse-0.4-2.fc8.src.rpm

This update can be installed with the "yum" update program.  Use 
su -c 'yum update sparse' 
at the command line.  For more information, refer to "Managing Software
with yum", available at http://docs.fedoraproject.org/yum/.
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]